Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.rsdn.patterns.behavioral.observer.problems.thread
Class CopyOnWriteArrayListPublisherTest

    java.lang.Object
      ru.rsdn.patterns.behavioral.observer.AbstractPublisher<T>
          ru.rsdn.patterns.behavioral.observer.problems.thread.AbstractPublisherTest<java.util.concurrent.CopyOnWriteArrayList<ISubscriber>>
              ru.rsdn.patterns.behavioral.observer.problems.thread.CopyOnWriteArrayListPublisherTest

    public class CopyOnWriteArrayListPublisherTest

extends AbstractPublisherTest<java.util.concurrent.CopyOnWriteArrayList<ISubscriber>>

Тестирование издателя со списком подписчиков на основе java.util.concurrent.CopyOnWriteArrayList

Field Summary

Fields inherited from class ru.rsdn.patterns.behavioral.observer.problems.thread.AbstractPublisherTest
`subscriber`

Fields inherited from class ru.rsdn.patterns.behavioral.observer.AbstractPublisher
`subscribers`

Constructor Summary
`CopyOnWriteArrayListPublisherTest()`

Method Summary
`void` | `unsafeNotifyByCycle()` Небезопасное оповещение подписчиков на основе перебора списка циклом
`void` | `unsafeNotifyByIterator()` Небезопасное оповещение подписчиков на основе перебора с использованием java.util.Iterator

Methods inherited from class ru.rsdn.patterns.behavioral.observer.problems.thread.AbstractPublisherTest
`invokeTrouble, unsafeNotifyByCycle`

Methods inherited from class ru.rsdn.patterns.behavioral.observer.AbstractPublisher
`getSubscribers, subscribe, unsubscribe`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CopyOnWriteArrayListPublisherTest

    public CopyOnWriteArrayListPublisherTest()

Method Detail

### unsafeNotifyByCycle

    public void unsafeNotifyByCycle()

  Description copied from class: `AbstractPublisherTest`
  Небезопасное оповещение подписчиков на основе перебора списка циклом

  Overrides:
    `unsafeNotifyByCycle` in class `AbstractPublisherTest<java.util.concurrent.CopyOnWriteArrayList<ISubscriber>>`

### unsafeNotifyByIterator

    public void unsafeNotifyByIterator()

  Description copied from class: `AbstractPublisherTest`
  Небезопасное оповещение подписчиков на основе перебора с использованием java.util.Iterator

  Overrides:
    `unsafeNotifyByIterator` in class `AbstractPublisherTest<java.util.concurrent.CopyOnWriteArrayList<ISubscriber>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD